#include "forms.h"
#include "setup_panel.h"
#include "main_panel.h"
#include "engine.h"

/* callbacks for form setup_panel */

void accept_button_callback(FL_OBJECT * ob, long data)
{
	fl_hide_form(setup->setup_panel);
	setup->active = 0;
	fl_set_button(panel->setup_button, 0);
	get_parameters(config);
	if ( setup->updated )
	{
		refresh();
		setup->updated = 0;
	}
	save_parameters(config, config_file);
}

void defaults_button_callback(FL_OBJECT * ob, long data)
{
	load_defaults(config);
	set_parameters(config);
}

void cancel_button_callback(FL_OBJECT * ob, long data)
{
	fl_hide_form(setup->setup_panel);
	set_parameters(config);
	setup->active = 0;
	fl_set_button(panel->setup_button, 0);
}


void frequency_input_callback(FL_OBJECT * ob, long data)
{
	/* fill-in code for callback */
}


